# Landing Page API

The landing page API enables clients to utilize their Subscription Landing Page and can be used to power subscription plans through Conscent.

> Create the subscription plans and landing pages on the Cosncent Dashboard before implementing the Landing Page API.

<mark style="color:green;">`GET{API_URL}`</mark><mark style="background-color:yellow;">/subscription/campaign?pathURL=Netflix\&clientId=5f92a62013332e0f667794dc</mark>

**PARAMS**

| Name     | Value                                                                                         |
| -------- | --------------------------------------------------------------------------------------------- |
| pathURL  | Same as the one present in Visualise ->  Subscriptions -> Landing Page -> CampaignURL         |
| clientId | [ClientId](https://sandbox-client.conscent.in/client/dashboard/Documentation) on th dashboard |

**Response**

{% tabs %}
{% tab title="200" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "message": "Got landing page with the provided path",
    "isCampaignActive": true,
    "faviconUrl": "",
    "useClientFlow": false,
    "clientCampaignDetails": {
        "landingPage": {
            "customization": {
                "primaryColor": "#000000",
                "secondaryColor": "#d3ca6f",
                "buttonColor": "#000000",
                "buttonTextColor": "#f3fbf7",
                "priceTextColor": "#000000"
            },
            "title": "Test Subs123",
            "description": "Get access to world of quality content.",
            "headerRedirectUrl": "https://csc-mock.netlify.app/5f92a62013332e0f667794dc/Client-Story-Id-1",
            "desktopBannerUrl": "https://conscent-public.s3.ap-south-1.amazonaws.com/stage/Demo%20Client/banners/Demo%20Client%20-%20desktopBanner-f5a777.png",
            "mobileBannerUrl": "https://conscent-public.s3.ap-south-1.amazonaws.com/stage/Outlook/banners/Outlook%20-%20mobileBanner-4785ee.png",
            "brandLogoUrl": "https://conscent-public.s3.ap-south-1.amazonaws.com/stage/Demo%20Client/banners/Demo%20Client%20-%20brandLogo-d32f8b.png",
            "deletedAt": null,
            "_id": "6267f6b5a2d25f456bc69bc2",
            "clientId": "5f92a62013332e0f667794dc",
            "template": "t1",
            "createdAt": "2022-04-26T13:42:13.449Z",
            "updatedAt": "2023-12-01T12:13:02.429Z",
            "__v": 243
        },
        "subscriptions": [
            {
                "freeTrial": {
                    "enabled": false,
                    "duration": null
                },
                "benefits": "Benefit1,Benefit2,Benefit3", // Subscription benefits.
                "physical": false,
                "digital": true,
                "adFree": false,
                "migrated": false,
                "couponsEnabled": true,
                "adminCoupon": "",
                "usedCouponNumbers": [],
                "deletedAt": null,
                "_id": "61e93279bf6de47e4f6a676b",
                "recommended": false,
                "enabled": true,
                "clientId": "5f92a62013332e0f667794dc",
                "title": "Didi+Phy+Ad Free", // Title of the subscription
                "tiers": [
                    {
                        "priceOverrides": {
                            "country": []
                        },
                        "currency": "INR", // Currency of the user's country will be present here.
                        "basePrice": 0, // Base price which has been set in the client dashboard.
                        "offers": [
                            {
                                "_id": "617a703504ab353a12d84d2a",
                                "title": "IDFC Bank1",
                                "benefits": "This is the first benefit This is the first benefit This is the first benefit This is the first benefit This is the first benefit This is the first benefit ",
                                "iconUrl": "https://storage.googleapis.com/bkt-conscent-public-stage/Outlook/offers/617a703504ab353a12d84d2a-2f1c03.png"
                            }
                        ],
                        "_id": "61e93279bf6de47e4f6a676d",
                        "price": 6969, // Amount of the subscription
                        "duration": 12 // Duration in months
                    }
                ],
                "iconUrl": "https://conscent-public.s3.ap-south-1.amazonaws.com/stage/Outlook/subscriptions/61e93279bf6de47e4f6a676b-a6e1b9.png",
                "createdAt": "2022-01-20T09:59:22.673Z",
                "updatedAt": "2023-12-01T12:15:39.739Z",
                "__v": 22,
                "currencySymbol": "₹" // Currency symbol will change according to the currency.
            }
        ],
        "recommendedSub": ""
    },
    "clientId": "5f92a62013332e0f667794dc"
}
</code></pre>

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/version-1.0/landing-page-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
